function [] = tableSoundsourceOffsetsEdit(~, ~)
%TABLESOUNDSOURCEOFFSETSEDIT Summary of this function goes here
%   Detailed explanation goes here


global artoaGui artoaWorkspace artoaDataInput;

%% Save to workspace
artoaWorkspace.trackParameter.soundsourceOffsets(:, :) = artoaGui.trackParameter.tableSoundSourceOffsets.Data;

%% Update TOA

% combine initial toa and current applied soundsources
toaData = artoaWorkspace.toaData;
toaData.toa = artoaDataInput.toaData.toa;

artoaWorkspace.toaData = artoa.soundsources.recalculateToaData( ...
    toaData, ...
    artoa.controller.getSoundsourcesWithAppliedToa(), ...
    artoaWorkspace.trackParameter.soundsourceOffsets ...
);

artoa.controller.edit.timeOfArrival.plot();

end

