function [offsetsTable] = addSoundsource(pOffsetsTable, pSoundsource)
%ADDROW Summary of this function goes here
%   Detailed explanation goes here

%% Initialize return variable
offsetsTable = pOffsetsTable;

%% Check if soundsource already exists
if any(strcmp(pSoundsource.sourcename, pOffsetsTable.Properties.RowNames))
    return;
end

%% Add variable
offsetsTable(end + 1, :) = artoa.offsets.getDefaultRowValues();
offsetsTable.Properties.RowNames{end} = pSoundsource.sourcename;

%% Sort rows
offsetsTable = sortrows(offsetsTable, 'RowNames');

end

